package model

import (
	"github.com/shopspring/decimal"
)

type Meter04KV struct {
	CreatedAndModified `xorm:"extends"`
	Code               string          `xorm:"varchar(120) pk notnull" json:"code"`
	ParkId             string          `xorm:"varchar(120) notnull" json:"parkId"`
	Address            *string         `xorm:"varchar(100)" json:"address"`
	CustomerName       *string         `xorm:"varchar(100)" json:"customerName"`
	ContactName        *string         `xorm:"varchar(70)" json:"contactName"`
	ContactPhone       *string         `xorm:"varchar(50)" json:"contactPhone"`
	Ratio              decimal.Decimal `xorm:"numeric(8,4) notnull default(1)" json:"ratio"`
	IsPublicMeter      bool            `xorm:"'public_meter' bool notnull default(false)" json:"isPublicMeter"`
	WillDilute         bool            `xorm:"'dilute' bool notnull default(false)" json:"willDilute"`
	Enabled            bool            `xorm:"bool notnull default(true)" json:"enabled"`
}

func (Meter04KV) TableName() string {
	return "meter_04kv"
}
