package model

import "github.com/shopspring/decimal"

type ReportSummary struct {
	ReportId                      string              `xorm:"varchar(120) pk notnull" json:"-"`
	Overall                       decimal.Decimal     `xorm:"numeric(14,2) notnull" json:"overall"`
	OverallFee                    decimal.Decimal     `xorm:"numeric(14,2) notnull" json:"overallFee"`
	OverallPrice                  decimal.Decimal     `xorm:"numeric(16,8)" json:"overallPrice"`
	Critical                      decimal.Decimal     `xorm:"numeric(14,2) notnull" json:"critial"`
	CriticalFee                   decimal.Decimal     `xorm:"numeric(14,2) notnull" json:"criticalFee"`
	CriticalPrice                 decimal.NullDecimal `xorm:"numeric(16,8)" json:"criticalPrice"`
	Peek                          decimal.Decimal     `xorm:"numeric(14,2) notnull" json:"peek"`
	PeekFee                       decimal.Decimal     `xorm:"numeric(14,2) notnull" json:"peekFee"`
	PeekPrice                     decimal.NullDecimal `xorm:"numeric(16,8)" json:"peekPrice"`
	Flat                          decimal.NullDecimal `xorm:"numeric(14,2)" json:"flat"`
	FlatFee                       decimal.Decimal     `xorm:"numeric(14,2) notnull" json:"flatFee"`
	FlatPrice                     decimal.NullDecimal `xorm:"numeric(16,8)" json:"flatPrice"`
	Valley                        decimal.Decimal     `xorm:"numeric(14,2) notnull" json:"valley"`
	ValleyFee                     decimal.Decimal     `xorm:"numeric(14,2) notnull" json:"valleyFee"`
	ValleyPrice                   decimal.NullDecimal `xorm:"numeric(16,8)" json:"valleyPrice"`
	Loss                          decimal.NullDecimal `xorm:"numeric(14,2)" json:"loss"`
	LossFee                       decimal.NullDecimal `xorm:"numeric(16,2)" json:"lossFee"`
	PublicConsumption             decimal.NullDecimal `xorm:"numeric(14,2)" json:"publicConsumption"`
	PublicConsumptionFee          decimal.NullDecimal `xorm:"numeric(14,2)" json:"publicConsumptionFee"`
	BasicFee                      decimal.Decimal     `xorm:"numeric(14,2) notnull" json:"basicFee"`
	BasicDilutedPrice             decimal.NullDecimal `xorm:"numeric(18,8)" json:"basicDilutedPrice"`
	AdjustFee                     decimal.Decimal     `xorm:"numeric(14,2) notnull" json:"adjustFee"`
	AdjustDilutedPrice            decimal.NullDecimal `xorm:"numeric(18,8)" json:"adjustDilutedPrice"`
	MaintenanceDilutedPrice       decimal.NullDecimal `xorm:"numeric(16,8)" json:"maintencanceDilutedPrice"`
	LossDilutedPrice              decimal.NullDecimal `xorm:"numeric(16,8)" json:"lossDilutedPrice"`
	PublicConsumptionDilutedPrice decimal.NullDecimal `xorm:"numeric(16,8)" json:"publicConsumptionDilutedPrice"`
	ServiceDilutedPrice           decimal.NullDecimal `xorm:"numeric(16,8)" json:"serviceDilutedPrice"`
}

func (ReportSummary) TableName() string {
	return "report_summary"
}
