package model

import "time"

type Created struct {
	CreatedAt time.Time `xorm:"timestampz notnull created" json:"createdAt"`
}

type CreatedWithUser struct {
	Created   `xorm:"extends"`
	CreatedBy *string `xorm:"varchar(100)" json:"createdBy"`
}

type CreatedAndModified struct {
	Created        `xorm:"extends"`
	LastModifiedAt *time.Time `xorm:"timestampz updated" json:"lastModifiedAt"`
}

type CreatedAndModifiedWithUser struct {
	CreatedAndModified `xorm:"extends"`
	CreatedBy          *string `xorm:"varchar(100)" json:"createdBy"`
	LastModifiedBy     *string `xorm:"varchar(100)" json:"lastModifiedBy"`
}
