package model

import (
	"time"

	"github.com/shopspring/decimal"
)

type UserDetail struct {
	CreatedAndModifiedWithUser `xorm:"extends"`
	Id                         string          `xorm:"varchar(120) pk notnull" json:"id"`
	Name                       *string         `xorm:"varchar(100)" json:"name"`
	Abbr                       *string         `xorm:"varchar(50)" json:"abbr"`
	Region                     *string         `xorm:"varchar(10)" json:"region"`
	Address                    *string         `xorm:"varchar(120)" json:"address"`
	Contact                    *string         `xorm:"varchar(100)" json:"contact"`
	Phone                      *string         `xorm:"varchar(50)" json:"phone"`
	UnitServiceFee             decimal.Decimal `xorm:"numeric(8,2) notnull" json:"unitServiceFee"`
	ServiceExpiration          time.Time       `xorm:"date notnull" json:"serviceExpiration"`
}

func (UserDetail) TableName() string {
	return "user_detail"
}
